## com.baidubce.services.bos.model
Class ListPartsResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bos.model.BosResponse
              com.baidubce.services.bos.model.ListPartsResponse

    public class ListPartsResponse

extends BosResponse

The ListPartsResponse contains all the information about the ListParts method.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListPartsResponse()`

Method Summary
`String` `getBucketName()` Returns the name of the bucket containing the listed parts, as specified in the original request.
`Date` `getInitiated()` Returns the initiated time of the multipart upload.
`String` `getKey()` Returns the key value specified in the original request used to identify which multipart upload contains the parts to list.
`Integer` `getMaxParts()` Returns the optional max parts value specified in the original request to limit how many parts are listed.
`int` `getNextPartNumberMarker()` Returns the next part number marker.
`User` `getOwner()` Returns details on the user who owns the associated multipart upload.
`int` `getPartNumberMarker()` Returns the optional part number marker specified in the original request to specify where in the results to begin listing parts.
`List<PartSummary>` `getParts()` Returns the list of parts described in this part listing.
`String` `getUploadId()` Returns the upload ID value specified in the original request used to identify which multipart upload contains the parts to list.
`boolean` `isTruncated()` Returns whether or not this listing is truncated, and additional requests need to be made to get more results.
`void` `setBucketName(String bucketName)` Sets the name of the bucket containing the listed parts, as specified in the original request.
`void` `setInitiated(Date initiated)` Sets the initiated time of the multipart upload.
`void` `setKey(String key)` Sets the key value specified in the original request used to identify which multipart upload contains the parts to list.
`void` `setMaxParts(int maxParts)` Sets the optional max parts value specified in the original request to limit how many parts are listed.
`void` `setNextPartNumberMarker(int nextPartNumberMarker)` Sets the next part number marker.
`void` `setOwner(User owner)` Sets the user who owns the associated multipart upload.
`void` `setPartNumberMarker(int partNumberMarker)` Sets the optional part number marker specified in the original request to specify where in the results to begin listing parts.
`void` `setParts(List<PartSummary> parts)` Sets the list of parts described in this part listing.
`void` `setTruncated(boolean isTruncated)` Sets whether or not this listing is truncated, and additional requests need to be made to get more results.
`void` `setUploadId(String uploadId)` Sets the upload ID value specified in the original request used to identify which multipart upload contains the parts to list.

Methods inherited from class com.baidubce.services.bos.model.BosResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListPartsResponse

    public ListPartsResponse()

Method Detail

### getBucketName

    public String getBucketName()

  Returns the name of the bucket containing the listed parts, as specified in the original request.

  Returns:
    the name of the bucket containing the listed parts, as specified in the original request.

### setBucketName

    public void setBucketName(String bucketName)

  Sets the name of the bucket containing the listed parts, as specified in the original request.

  Parameters:
    `bucketName` - the name of the bucket containing the listed parts, as specified in the original request.

### getKey

    public String getKey()

  Returns the key value specified in the original request used to identify which multipart upload contains the parts to list.

  Returns:
    the key value specified in the original request used to identify which multipart upload contains the parts to list.

### setKey

    public void setKey(String key)

  Sets the key value specified in the original request used to identify which multipart upload contains the parts to list.

  Parameters:
    `key` - the key value specified in the original request used to identify which multipart upload contains the parts to list.

### getUploadId

    public String getUploadId()

  Returns the upload ID value specified in the original request used to identify which multipart upload contains the parts to list.

  Returns:
    the upload ID value specified in the original request used to identify which multipart upload contains the parts to list.

### setUploadId

    public void setUploadId(String uploadId)

  Sets the upload ID value specified in the original request used to identify which multipart upload contains the parts to list.

  Parameters:
    `uploadId` - the upload ID value specified in the original request used to identify which multipart upload contains the parts to list.

### getOwner

    public User getOwner()

  Returns details on the user who owns the associated multipart upload.

  Returns:
    details on the user who owns the associated multipart upload.

### setOwner

    public void setOwner(User owner)

  Sets the user who owns the associated multipart upload.

  Parameters:
    `owner` - the user who owns the associated multipart upload.

### getInitiated

    public Date getInitiated()

  Returns the initiated time of the multipart upload.

  Returns:
    the initiated time of the multipart upload.

### setInitiated

    public void setInitiated(Date initiated)

  Sets the initiated time of the multipart upload.

  Parameters:
    `initiated` - the initiated time of the multipart upload.

### getPartNumberMarker

    public int getPartNumberMarker()

  Returns the optional part number marker specified in the original request to specify where in the results to begin listing parts.

  Returns:
    the optional part number marker specified in the original request to specify where in the results to begin listing parts.

### setPartNumberMarker

    public void setPartNumberMarker(int partNumberMarker)

  Sets the optional part number marker specified in the original request to specify where in the results to begin listing parts.

  Parameters:
    `partNumberMarker` - the optional part number marker specified in the original request to specify where in the results to begin listing parts.

### getNextPartNumberMarker

    public int getNextPartNumberMarker()

  Returns the next part number marker. If this listing is truncated, this is the part number marker that should be used in the next request to get the next page of results.

  Returns:
    The next part number marker, to be used for pagination if this part listing is truncated.

### setNextPartNumberMarker

    public void setNextPartNumberMarker(int nextPartNumberMarker)

  Sets the next part number marker. If this listing is truncated, this is the part number marker that should be used in the next request to get the next page of results.

  Parameters:
    `nextPartNumberMarker` - The next part number marker.

### getMaxParts

    public Integer getMaxParts()

  Returns the optional max parts value specified in the original request to limit how many parts are listed.

  Returns:
    The optional max parts value specified in the original request to limit how many parts are listed.

### setMaxParts

    public void setMaxParts(int maxParts)

  Sets the optional max parts value specified in the original request to limit how many parts are listed.

  Parameters:
    `maxParts` - The optional max parts value specified in the original request to limit how many parts are listed.

### isTruncated

    public boolean isTruncated()

  Returns whether or not this listing is truncated, and additional requests need to be made to get more results.

  Returns:
    whether or not this listing is truncated, and additional requests need to be made to get more results.

### setTruncated

    public void setTruncated(boolean isTruncated)

  Sets whether or not this listing is truncated, and additional requests need to be made to get more results.

  Parameters:
    `isTruncated` - whether or not this listing is truncated, and additional requests need to be made to get more results.

### getParts

    public List<PartSummary> getParts()

  Returns the list of parts described in this part listing.

  Returns:
    The list of parts described in this part listing.

### setParts

    public void setParts(List<PartSummary> parts)

  Sets the list of parts described in this part listing.

  Parameters:
    `parts` - The list of parts described in this part listing.

Copyright © 2016. All rights reserved.